#
# spec file for package rubygem-ohai-6
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ohai-6
Version:        6.24.2
Release:        3.16
%define mod_name ohai
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            http://wiki.opscode.com/display/chef/Ohai
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:  use-build-specific-ruby-version.diff
Patch1:  dmi-set-unknown-product-name.patch
Patch2:  bnc861306-no-attached-directory.patch
Patch3:  Support-IBM-System-z-s390-cpu.patch
# /MANUAL
Summary:        Ohai profiles your system and emits JSON
License:        Apache-2.0
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Ohai profiles your system and emits JSON.

%prep
%gem_unpack
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Wed Mar 23 2016 olaf@aepfle.de
- Force fixed timestamps for patched gems (bsc#916047)
* Wed Jul 15 2015 dmueller@suse.com
- add Support-IBM-System-z-s390-cpu.patch: Support s390 cpu
* Tue Feb 10 2015 coolo@suse.com
- updated to version 6.24.2
* Mon Feb  9 2015 vuntz@suse.com
- Update dmi-set-unknown-product-name.patch: also set
  dmi[:system][:manufacturer], since it's being used.
* Fri Feb  6 2015 vuntz@suse.com
- Re-add bnc861306-no-attached-directory.patch: Configure solr to
  use a java call that does not create world-readable but unneeded
  directories (bnc#861306)
- Re-add dmi-set-unknown-product-name.patch: Set
  dmi[:system][:product_name] to Unknown if not detected (for Xen
  PV guest, bnc#769880)
* Thu Feb  5 2015 vuntz@suse.com
- Fix license tag to be valid.
* Thu Jan 15 2015 dmueller@suse.com
- add use-build-specific-ruby-version.diff: rework last change
  to not run ruby at build time but at runtime
* Fri Jan  9 2015 vuntz@suse.com
- Patch the ruby plugin to find the ruby version we're built
  against.
* Mon Nov  3 2014 tboerger@suse.com
- Added quotes around version suffix in gem2rpm.yml
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Fri Apr 25 2014 tboerger@suse.com
- Initial packaging of 6.22.0
